Domov      Nastavenia 
RSS English Slovensky

Aktuálne
Bezpečný server na GNU/LINUXe
Tlačové správy
25.05.2021
Analýza HawkEye Keylogger
Tlačové správy
25.05.2021
Mesačná správa CSIRT.SK - Marec 2021
Tlačové správy
25.05.2021
Zahraničné zdroje
Nahlásené incidenty
1.1.2020 - 31.12.2020
 

Graf

Spoločnosť Dell opravuje závažnú zraniteľnosť, ktorá postihuje milióny zariadení

11.05.2021
Výskumníci zo spoločnosti SentinelLabs objavili zraniteľnosti v ovládači nachádzajúcom sa v miliónoch zariadení od spoločnosti Dell. Zraniteľnosti v ovládači existujú už od jeho prvého vydania v roku 2009. Potenciálnemu útočníkovi umožňujú eskaláciu privilégií či vykonanie kódu s oprávneniami jadra. Môžu sa nachádzať vo všetkých zariadeniach, ktoré používali obslužné programy pre aktualizáciu, ako napríklad Dell Command Update, Dell System Inventory Agent, Alienware Update či Dell Platform Tags.

 

Dôsledky

  • Kompromitácia zraniteľného zariadenia
  • Možné zneužitie zariadenia na kompromitáciu siete
  • Únik citlivých dát

Opis činnosti
CVE-2021-21551 (CVSS 8.8)

Zraniteľnosť sa nachádza v ovládači Dell DBUtil verzie 2.3 (dbutil_2_3.sys) a postihuje zariadenia s operačným systémom Windows. Jedná sa o skupinu piatich zraniteľností zahrnutých pod jeden identifikátor, prítomných v zariadeniach Dell od roku 2009. Patria sem chyby poškodenia pamäte, nedostatočné overovanie vstupov, či logický problém kódu. Štyri z nich umožňujú lokálnu eskaláciu oprávnení, jedna spôsobuje odmietnutie služby. Potenciálny útočník s lokálnym prístupom k zariadeniu, alebo so vzdialeným prístupom k sieti organizácie by mohol zraniteľnosti zneužiť po prístupe k zraniteľnému zariadeniu na eskaláciu oprávnení v systéme, vykonávať ľubovoľný kód s oprávneniami jadra či spôsobiť pád systému.

Zraniteľné systémy

Všetky zariadenia, na ktorých boli používané aktualizačné nástroje, sú pravdepodobne zraniteľné:

  • Dell Comand Update
  • Alienware Update
  • Dell Platform Tags
  • Dell SupportAssist
  • Dell System Inventory Agent
  • Dell Update

Spoločnosť Dell vydala aj zoznam modelov podporovaných, či koncových zariadení, ktoré mali ovládač dostať:

  • Dell ChengMing
  • Dell Gx
  • Dell Embedded Box PC
  • Dell Inspiron
  • Dell Latitude
  • Dell OptiPlex
  • Dell Precision
  • Dell Vostro
  • Dell XPS
  • Dell Dosck WD15/WD19
  • Dell Thunderbolt Dock TB16/TB18DC

Závažnosť zraniteľnosti
Vysoká

Možné škody
Vzdialené vykonávanie kódu
Nedostupnosť služby (DoS)
Únik citlivých informácií

Odporúčania

  • Aktualizácia všetkých aktualizačných nástrojov, ktoré v zariadení používate
  • Pre čo najväčšiu bezpečnosť, odstrániť ovládač dbutil_2_3.sys zo systému (C:\Users\\AppData\Local\Temp\dbutil_2_3.sys či C:\Windows\Temp\dbutil_2_3.sys)
  • Vždy udržiavať aplikácie a firmvér aktuálny

Odkazy
https://blog.cyberint.com/dell-firmware-update-driver-vulnerability
https://www.dell.com/support/kbdoc/en-us/000186019/dsa-2021-088-dell-client-platform-security-update-for-dell-driver-insufficient-access-control-vulnerability
https://securityaffairs.co/wordpress/117514/security/cve-2021-21551-dell-flaws.html
https://threatpost.com/dell-kernel-privilege-bugs/165843/?utm_source=twitter&utm_medium=social&utm_campaign=uk_threatpost_db0077&utm_content=sm-post&utm_term=uk_twitter_organic_nbp77vzwekcn78q



<< zoznam oznámení